node-qrcode安装在heroku上

我有问题在heroku上安装这个软件包。 有没有办法做到这一点?

我看到这是一个canvas模块的问题,但我不知道该怎么做。

这是一个在heroku上安装的日志。 我不知道如何获得更多:

npm ERR! canvas@0.12.1 preinstall: `node-waf configure build` npm ERR! `sh "-c" "node-waf configure build"` failed with 1 npm ERR! npm ERR! Failed at the canvas@0.12.1 preinstall script. npm ERR! This is most likely a problem with the canvas package, npm ERR! not with npm itself. npm ERR! Tell the author that this fails on your system: npm ERR! node-waf configure build npm ERR! You can get their info via: npm ERR! npm owner ls canvas npm ERR! There is likely additional logging output above. npm ERR! System Linux 2.6.32-343-ec2 npm ERR! command "/tmp/node-node-La1F/bin/node" "/tmp/node-npm-6Xts/cli.js" "install" "--production" npm ERR! cwd /tmp/build_3ejt8evom1p0g npm ERR! node -v v0.6.18 npm ERR! npm -v 1.1.41 npm ERR! code ELIFECYCLE npm ERR! stack Error: canvas@0.12.1 preinstall: `node-waf configure build` npm ERR! stack `sh "-c" "node-waf configure build"` failed with 1 npm ERR! stack at ChildProcess.<anonymous> (/tmp/node-npm-6Xts/lib/utils/exec.js:56:20) npm ERR! stack at ChildProcess.emit (events.js:70:17) npm ERR! stack at maybeExit (child_process.js:362:16) npm ERR! stack at Process.onexit (child_process.js:398:5) 

       

网上收集的解决方案 "node-qrcode安装在heroku上"

我成功地使用了这个Heroku builpack: https ://elements.heroku.com/buildpacks/mojodna/heroku-buildpack-cairo

但是在它的README中,它告诉你使用heroku-buildpack-multi ,这已经被弃用了。 我所做的是在命令行中使用Heroku Toolbelt:

heroku buildpacks:set –index 1 https://github.com/mojodna/heroku-buildpack-cairo.git

heroku buildpack:添加heroku / nodejs

然后推到Heroku,所以它可以再次构build包。